The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Create the Protected VM Group under vIPS Cluster

Prev Next

This URL creates the protected VM groups in the vIPS cluster.

Resource URL

POST /cloud/cluster/<id>/vmgroup

Request Parameters

URL Parameters

Field Name Description Data Type Mandatory
id Cluster id Number Yes

Payload Request Parameters

Field Name Description Data Type Mandatory
name Protected VM group name String Yes
description Protected VM group description String No
vpc VPC where the protected VM group has been created Array Yes
resourceGroup Resource group list in case of Azure Array Yes
advancedAgentSettings Traffic inspection settings Object Yes
protectedObjects List of the protected subnets Array Yes

Details of fields in advancedAgentSettings:

Field Name Description Data Type Mandatory
trafficProcessing Traffic processing direction. Values can be:
  • Ingress
  • Egress
  • Ingress & Egress
String Yes
inspectionMode Inspection mode. Values can be:
  • IPS
  • IDS
String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned:

Field Name Description Data Type
createdResourceId Created resource id Number

Example

Request

POST https://<NSM_IP>/sdkapi/cloud/cluster/101/vmgroup

Payload

 {
                "name": "Protected_VMGroup",
                "description": "api",
                "vpc": ["vpc-06b3ce61(Protected_test)"],
                "advancedAgentSettings":
                {
                    "trafficProcessing": "Ingress & Egress",
                    "inspectionMode": "ips"
                },
                "protectedObjects":
                [
                    "subnet-bde05df4(Secure_subnet)"
                ]
            } 

Response

{
" createdResourceId ": 101
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error message: internal server error
2 400 11001 Protected VM group name is required
3 400 11001 Inspection mode is required
4 400 11001 Invalid inspection mode, it should be one of: <valid list>
5 400 11001 Traffic processing is required
6 400 11001 Invalid traffic processing, it should be one of: <list>